@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen&display=swap');

body {
    font-family: 'Oxygen', sans-serif;
	background: #fdfdfd;
}

input.rounded {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
	flex: 1 1 auto;
}

input.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

input.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded {
    border-radius: 5px;
    padding: 4px 5px;
    border-style: solid;
    border-width: 1px;
    border-color: rgb(169, 169, 169);
}

textarea.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.main {
	width: 80%;
	margin-left: 10%;
	display: flex;
	flex-direction: column;
	overflow: hidden;
}

.content {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	overflow: hidden;
	border-radius: 8px;
	padding: 10px;
	margin-bottom: 10px;
}

.nav-menu {
	display: flex;
}

.nav-menu > div {
	margin: 5px;
	padding: 5px;
	border: 1px solid #fff;
	border-radius: 4px;
}

.nav-menu > div:hover {
	border-color: #ccc;
	background-color: #eee;
	cursor: pointer;
}

.nav-menu > .selected {
	margin: 5px;
	padding: 5px;
	border-color: #eee;
	border-radius: 4px;
	color: #fff;
	background: #000;
}

.nav-menu > .selected:hover {
	border-color: #ccc;
	background-color: #000;
	cursor: unset;
}

.loader {
	position: relative;
  	width: 75px;
  	height: 100px;
}

.loader_bar {
	position: absolute;
    bottom: 0;
    width: 10px;
    height: 50%;
    background: #000;
    transform-origin: center bottom;
    box-shadow: 1px 1px 0 rgba(0,0,0,.2);
}

.loader_bar:nth-child(1) {
	left: 0px;
    transform: scale(1, .2);
    animation: barUp1 4s infinite;
}

.loader_bar:nth-child(2) {
	left: 15px;
    transform: scale(1, .4);
    animation: barUp2 4s infinite;
}

.loader_bar:nth-child(3) {
	left: 30px;
    transform: scale(1, .6);
    animation: barUp3 4s infinite;
}

.loader_bar:nth-child(4) {
	left: 45px;
    transform: scale(1, .8);
    animation: barUp4 4s infinite;
}

.loader_bar:nth-child(5) {
	left: 60px;
    transform: scale(1, 1);
    animation: barUp5 4s infinite;
}

.loader_ball {
	position: absolute;
    bottom: 10px;
    left: 0;
    width: 10px;
    height: 10px;
    background: rgb(255, 153, 0);
    border-radius: 50%;
    animation: ball 4s infinite;
}

@keyframes ball {
	0% {
	  transform: translate(0, 0);
	}
	5% {
	  transform: translate(8px, -14px);
	}
	10% {
	  transform: translate(15px, -10px)
	}
	17% {
	  transform: translate(23px, -24px)
	}
	20% {
	  transform: translate(30px, -20px)
	}
	27% {
	  transform: translate(38px, -34px)
	}
	30% {
	  transform: translate(45px, -30px)
	}
	37% {
	  transform: translate(53px, -44px)
	}
	40% {
	  transform: translate(60px, -40px)
	}
	50% {
	  transform: translate(60px, 0)
	}
	57% {
	  transform: translate(53px, -14px)
	}
	60% {
	  transform: translate(45px, -10px)
	}
	67% {
	  transform: translate(37px, -24px)
	}
	70% {
	  transform: translate(30px, -20px)
	}
	77% {
	  transform: translate(22px, -34px)
	}
	80% {
	  transform: translate(15px, -30px)
	}
	87% {
	  transform: translate(7px, -44px)
	}
	90% {
	  transform: translate(0, -40px)
	}
	100% {
	  transform: translate(0, 0);
	}
  }
  
  @keyframes barUp1 { 
	0% {
	  transform: scale(1, .2);
	}
	40%{
	  transform: scale(1, .2);
	}
	50% {
	  transform: scale(1, 1);
	}
	90% {
	  transform: scale(1,1);
	}
	100% {
	  transform: scale(1,.2);
	}
  }
  @keyframes barUp2 { 
	0% {
	  transform: scale(1, .4);
	}
	40% {
	  transform: scale(1, .4);
	}
	50% {
	  transform: scale(1, .8);
	}
	90% {
	  transform: scale(1, .8);
	}
	100% {
	  transform: scale(1, .4);
	}
  }
  @keyframes barUp3 { 
	0% {
	  transform: scale(1, .6);
	}
	100% {
	  transform: scale(1, .6);
	}
  }
  @keyframes barUp4 { 
	0% {
	  transform: scale(1, .8);
	}
	40% {
	  transform: scale(1, .8);
	}
	50% {
	  transform: scale(1, .4);
	}
	90% {
	  transform: scale(1, .4);
	}
	100% {
	  transform: scale(1, .8);
	}
  }
  @keyframes barUp5 { 
	0% {
	  transform: scale(1, 1);
	}
	40% {
	  transform: scale(1, 1);
	}
	50% {
	  transform: scale(1, .2);
	}
	90% {
	  transform: scale(1, .2);
	}
	100% {
	  transform: scale(1, 1);
	}
  }

.dropdown {
	position: relative;
	display: inline-block;
}

.dropdown > .dropdown-content {
	top: unset;
}

.dropdown-content {
	position: absolute;
	background-color: #eee;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
	max-height: 200px;
	overflow-y: auto;
	top: 30px;
}

.dropdown-content > div {
	cursor: pointer;
	padding: 4px;
}

.dropdown-content > div.title {
	cursor: unset;
	font-weight: bold;
	font-size: smaller;
	padding: 0px;
	padding-left: 4px;
	background-color: #ccc;
}

.dropdown-content > div:hover {
	background-color: #ccc;
}

.dropdown-item > div:nth-child(1) {
	font-weight: 500;
	font-size: smaller;
}

.button {
	padding: 8px 16px;
	border-radius: 4px;
	background: #eee;
	white-space: nowrap;
}

.button:hover {
	cursor: pointer;
	background: #ddd;
}

.button_disabled {
	color: #999;
	background: #e6e6e6;
	pointer-events: none;
}

.button_row {
	margin-top: 4px;
	margin-bottom: 4px;
	display: flex;
	justify-content: flex-end;
	align-items: flex-start;
}

.button_row > div {
	margin-left: 4px;
}

.save {
	background: #2b2;
	color: #fff;
}

.save:hover {
	background: #292;
	color: #fff;
}

.save.button.button_disabled {
	color: #bbb;
	background: inherit;
}

.remove {
	background: #b22;
	color: #fff;
}

.remove:hover {
	background: #922;
	color: #fff;
}

.remove.button.button_disabled {
	color: #bbb;
	background: inherit;
}

.edit {
	background: #bbb;
}

.search {
	margin-bottom: 4px;
	display: flex;
	position: relative;
}

.search > textarea {
	width: 100%;
	height: 62px;
}

.items {
	display: flex;
	flex: 1 1 auto;
}

.items > div {
	display: flex;
	flex-direction: column;
	flex: 1 1 50%;
}

.selected-items {
	display: flex;
	flex-wrap: wrap;
}

.selected-items > div {
	margin: 5px;
	margin-left: 0px;
	background: #cec;
	padding: 6px;
	border-radius: 6px;
	border: 2px solid #aca;
	cursor: pointer;
}

.selected-items > div:hover {
	border-color: #333;
}

.suggested-items {
	display: flex;
	flex-wrap: wrap;
}

.suggested-items > div {
	margin: 5px;
	margin-left: 0px;
	background: #cce;
	padding: 6px;
	border-radius: 6px;
	border: 2px solid #aac;
	cursor: pointer;
}

.suggested-items > div:hover {
	border-color: #333;
}

.choose_import_drag_drop {
    display: flex;
    min-height: 70px;
    min-width: 400px;
}

.choose_import_button_file_picker {
    visibility: collapse;
    height: 0;
}

.choose_import_dropzone {
    border: #ccc 3px dashed;
    border-radius: 8px;
    color: #bbb;
    background: #fafafa;
    align-items: center;
    justify-content: center;
    display: flex;
    flex: 1 1 auto;
}

.annotation_container {
	display: flex;
	flex-direction: column;
	overflow: hidden;
	flex: 1 1 auto;	
}

.annotation_container .button_row {
	justify-content: space-between;
	margin-bottom: 20px;
	margin-left: 10px;
	margin-right: 10px;
}

.annotation_main {
	display: flex;
	flex: 1 1 auto;
	overflow: hidden;
}

.annotation_result {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	overflow: hidden;
	padding: 4px;
	border-radius: 8px;	
}

.loading {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	justify-content: center;
}

.loading > div {
	display: flex;
	justify-content: center;
	text-align: center;
	font-family: system-ui;
	font-weight: bold;
}

.group {
    background: #fff;
	padding: 20px;
	margin: 10px;
	border-radius: 20px;
	box-shadow: 0px 0px 10px #0002;
}

.annotation_margin {
	margin-right: 10px;
	margin-left: 10px;
}

.annotation_filter {
	display: flex;
	flex-direction: column;
	row-gap: 10px;
	margin-bottom: 20px;
}

.annotation_filter > div:nth-child(1) {
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 12px;
}

.annotation_filter > input {
	border-width: 1px;
    border-style: solid;
    border-color: #ddd;
    border-radius: 4px;
    padding: 8px;
}

.annotation_filter > input:focus {
	outline: none;
}

.annotation_types {
	display: flex;
	flex-direction: column;
    width: 250px;
    margin-left: 20px;
}

.annotation_list {
	display: flex;
	flex: 1 1 auto;
    flex-direction: column;
    column-gap: 5px;
    row-gap: 5px;
	align-content: flex-start;
	overflow-y: auto;
}

.annotation_type_category {
	padding: 8px 16px;
    background: #aaa;
    border-radius: 8px;
	margin-bottom: 5px;
	font-size: 13px;
}

.annotation_type {
	display: flex;
	align-items: center;
	padding: 8px 16px;
	border-radius: 8px; 
	cursor: pointer;
	background: #ddd;
	white-space: nowrap;
}

.annotation_type:hover {
	background: #ccc;
}

:is(.annotation_type,.annotation_type_category) > span {
	font-weight: bold;
	font-size: small;
}

.annotation_type > div {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-left: 4px;
	font-weight: bold;
	font-size: x-small;
	border: 1px solid rgb(255, 153, 0);
	border-radius: 50%;
	width: 25px;
	height: 25px;
}

.annotation_type.selected {
	background: #444;
	color: #fff;
}

.annotation_text {
	white-space: pre;
	overflow-y: auto;
	flex: 1 1 auto;
}

.annotation_annotation {
	overflow-y: auto;
	border-left: 1px solid #888;
}

.annotation_annotation > div {
	padding: 2px;
}

.annotation_annotation > div:hover {
	background: #eee;
	cursor: pointer;
}

.annotation_annotation > div.selected {
	background: #ddd;
}

span.annotation_selected {
	background: yellow;
	border: 1px dotted #888;
}

span.annotation_highlight {
	background: yellow;
	border: 2px dotted rgb(255, 153, 0);
	cursor: pointer;
	padding: 1px;
}

span.annotation_no_highlight {
	border: 2px dotted rgb(255, 153, 0);
	cursor: pointer;
	background: #f9f9f9;
	padding: 1px;
}

.edit_overlay {
	display: flex;
	position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
	background: #0009;
	justify-content: center;
}

.edit_dialog{
	display: flex;
	align-items: center
}

.edit_dialog > div {
	border-radius: 8px;
	background: #fff;
	padding: 20px;
	min-width: 400px;
}

.edit_dialog .title {
	font-size: 26px;
	font-weight: bold;
	margin-bottom: 20px;
}

.edit_dialog .button_row {
	margin-top: 20px;
}

.dialog_content {
	display: flex;
	gap: 20px;
}

.dialog_group {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	border-radius: 8px;
	background: #eee;
	padding: 10px;
	min-width: 250px;
	min-height: 150px;
}

.dialog_group .title {
	font-size: 18px;
	margin-bottom: 10px;
}

.annotation_field {
	display: flex;
	justify-content: space-between;
	margin-bottom: 5px;
}

.annotation_field > div:first-child {
	font-weight: 500;
	min-width: 150px;
}

.connected_to {
	background: #eee;	
}

.input_holder {
	display: flex;
}